Subject: Re: No mo Docker for macOS!

From: David Schwartz via PLUG-discuss <[email-masked]>
Date: Wed, 11 Jun 2025 22:59:59 -0700

Interesting question.

There are still plenty of Intel-based Macs available that will be able to run this new version of macOS.

But I think this is aimed at people building stuff in php, python, and other languages that are not CPU-dependent.

Otherwise it would just be competing with Parallels, right?

As an aside, I hear Parallels running X86 apps using Rosetta on an M-series CPU isn’t very fast. I wonder how it will compare to this new approach running on an Intel-based Mac MIni or MBP?

There were MBPs that shipped with i9’s in them; the Mac Minis maxed-out at 4-core i7’s. 

My 2018 Mac MIni (i7) is fast enough for my needs, but it’s having heat problems, and slows down as it gets hotter. I’m thinking of replacing it.

-David Schwartz

> On Jun 11, 2025, at 8:28 PM, James Dugger <[email-masked] <mailto:[email-masked]>> wrote:
> 
> Yeah, I heard about that.  The question I have is can you package images for x86 architecture without Docker Buildx/QEMU with Mac's on Apple silicone .  Mac's Rosetta 2 is supposed to be able to do it. But Idk. Most use cases for Linux containers in the cloud need to be packaged for x86.  
> 
> On Wed, Jun 11, 2025 at 1:46 AM David Schwartz via PLUG-discuss <[email-masked] <mailto:[email-masked]>> wrote:
> Well, if you’re open to a reason to switch to a Mac, this might nudge you a little bit:
> 
> macOS 26 adds native support for Linux containers
> 
> https://appleinsider.com/articles/25/06/09/sorry-docker-macos-26-adds-native-support-for-linux-containers <https://appleinsider.com/articles/25/06/09/sorry-docker-macos-26-adds-native-support-for-linux-containers>
> 
> -David Schwartz
> 
> 
> 
> 
> ---------------------------------------------------
> PLUG-discuss mailing list: [email-masked] <mailto:[email-masked]>
> To subscribe, unsubscribe, or to change your mail settings:
> https://lists.phxlinux.org/mailman/listinfo/plug-discuss <https://lists.phxlinux.org/mailman/listinfo/plug-discuss>
> 
> 
> -- 
> James
> 
> Linkedin <http://www.linkedin.com/pub/james-h-dugger/15/64b/74a/>

---------------------------------------------------
PLUG-discuss mailing list: [email-masked]
To subscribe, unsubscribe, or to change your mail settings:
https://lists.phxlinux.org/mailman/listinfo/plug-discuss